import ExamInvigilation from "../features/invigilation/ExamInvigilation/ExamInvigilation";
import OnlinePatrol from "../features/invigilation/OnlinePatrol/OnlinePatrol";
import RealtimeMonitoring from "../features/invigilation/RealtimeMonitoring/RealtimeMonitoring";
import VideoCommunication from "../features/invigilation/RealtimeMonitoring/VideoCommunication";
import WainingDetail from "../features/invigilation/RealtimeMonitoring/WainingDetail";
import InvigilationDetail from "../features/invigilation/InvigilationDetail/InvigilationDetail";
import WainingManage from "../features/invigilation/WainingManage/WainingManage";
import ReexamApply from "../features/invigilation/ReexamApply/ReexamApply";
import ProgressDetail from "../features/invigilation/ProgressDetail/ProgressDetail";
import ReexamPending from "../features/invigilation/ReexamPending/ReexamPending";
import ReexamChecked from "../features/invigilation/ReexamChecked/ReexamChecked";
import ExamReport from "../features/invigilation/ExamReport/ExamReport";
import StudentLogManage from "../features/invigilation/StudentLogManage/StudentLogManage";

const routes = [
  {
    path: "/invigilation/exam-invigilation",
    name: "ExamInvigilation",
    component: ExamInvigilation,
  },
  {
    path: "/invigilation/online-patrol",
    name: "OnlinePatrol",
    component: OnlinePatrol,
  },
  {
    path: "/invigilation/realtime-monitoring",
    name: "RealtimeMonitoring",
    component: RealtimeMonitoring,
  },
  {
    path: "/invigilation/video-communication",
    name: "VideoCommunication",
    component: VideoCommunication,
    meta: {
      relate: "RealtimeMonitoring",
    },
  },
  {
    path: "/invigilation/waining-detail/:recordId",
    name: "WainingDetail",
    component: WainingDetail,
    meta: {
      relate: "RealtimeMonitoring",
    },
  },
  {
    path: "/invigilation/invigilation-detail",
    name: "InvigilationDetail",
    component: InvigilationDetail,
  },
  {
    path: "/invigilation/waining-manage",
    name: "WainingManage",
    component: WainingManage,
  },
  {
    path: "/invigilation/reexam-apply",
    name: "ReexamApply",
    component: ReexamApply,
  },
  {
    path: "/invigilation/progress-detail",
    name: "ProgressDetail",
    component: ProgressDetail,
  },
  {
    path: "/invigilation/reexam-pending",
    name: "ReexamPending",
    component: ReexamPending,
  },
  {
    path: "/invigilation/reexam-checked",
    name: "ReexamChecked",
    component: ReexamChecked,
  },
  {
    path: "/invigilation/exam-report",
    name: "ExamReport",
    component: ExamReport,
  },
  {
    path: "/invigilation/student-log-manage",
    name: "StudentLogManage",
    component: StudentLogManage,
  },
];

export default routes;
